org.apache.jmeter.visualizers

## Interface ResultRenderer

- All Known Implementing Classes:
    RenderAsBoundaryExtractor, RenderAsCssJQuery, RenderAsDocument, RenderAsHTML, RenderAsHTMLFormatted, RenderAsHTMLWithEmbedded, RenderAsJSON, RenderAsJsonRenderer, RenderAsRegexp, RenderAsText, RenderAsXML, RenderAsXPath, RenderInBrowser, SamplerResultTab

      public interface ResultRenderer

  Interface to results render

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()`
    `void` | `init()`
    `void` | `renderImage(SampleResult sampleResult)`
    `void` | `renderResult(SampleResult sampleResult)`
    `void` | `setBackgroundColor(java.awt.Color backGround)`
    `void` | `setLastSelectedTab(int index)`
    `void` | `setRightSide(javax.swing.JTabbedPane rightSide)`
    `void` | `setSamplerResult(java.lang.Object userObject)`
    `void` | `setupTabPane()`
    `java.lang.String` | `toString()`

- - ### Method Detail

    - #### clearData

          void clearData()

    - #### init

          void init()

    - #### setupTabPane

          void setupTabPane()

    - #### setLastSelectedTab

          void setLastSelectedTab(int index)

    - #### setRightSide

          void setRightSide(javax.swing.JTabbedPane rightSide)

    - #### setSamplerResult

          void setSamplerResult(java.lang.Object userObject)

    - #### renderResult

          void renderResult(SampleResult sampleResult)

    - #### renderImage

          void renderImage(SampleResult sampleResult)

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string to be displayed by the ComboBox

    - #### setBackgroundColor

          void setBackgroundColor(java.awt.Color backGround)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.